import request from '@/utils/request';

// 获取合作伙伴列表
export function getList(params) {
  return request({
    url: '/partner/getList',
    params
  });
}

// 添加合作伙伴
export function addPartner(data) {
  return request({
    url: '/partner/addPartner',
    method: 'post',
    data
  });
}

// 修改合作伙伴
export function updatePartner(data) {
  return request({
    url: '/partner/updatePartner',
    method: 'post',
    data
  });
}

// 批量删除合作伙伴 body ids
export function delPartner(data) {
  return request({
    url: '/partner/delPartner',
    method: 'post',
    data
  });
}

// 重新排序的数组集合
export function newList(data) {
  return request({
    url: '/partner/newList',
    method: 'post',
    data
  });
}

// 获取底部
export function getBottom(params) {
  return request({
    url: '/bottom/getBottom',
    params
  });
}

// 修改底部
export function updateBottom(data) {
  return request({
    url: '/bottom/updateBottom',
    method: 'post',
    data
  });
}
// 获取科技创新列表
export function innovateList(params) {
  return request({
    url: '/innovate/list',
    params
  });
}
// 添加/更新科技创新
export function handleInnovate(data) {
  return request({
    url: '/innovate/handle',
    method: 'post',
    data
  });
}
// 删除科技创新
export function innovateDelete(params) {
  return request({
    url: '/innovate/delete',
    params
  });
}
