import Layout from '@/layout';
// 管理端设置
const nestedRouter = {
  path: '/asdm',
  component: Layout,
  redirect: 'noRedirect',
  name:'asdm',
  meta: { title: '管理端设置', icon: 'row'},
  children: [
    {
      path: 'rotation',
      component: resolve =>
        require(['@/views/asdm/rotation/index'], resolve),
      name: 'rotation',
      meta: { title: '轮播管理', icon: 'list' }
    },
    {
      path: 'innovate',
      component: resolve =>
        require(['@/views/asdm/innovate/index'], resolve),
      name: 'innovate',
      meta: { title: '创新服务', icon: 'list' }
    },
    {
      path: 'about',
      component: resolve =>
        require(['@/views/asdm/about/index'], resolve),
      name: 'about',
      meta: { title: '关于我们', icon: 'list' }
    },
    {
      path: 'partner',
      component: resolve =>
        require(['@/views/asdm/partner/index'], resolve),
      name: 'partner',
      meta: { title: '合作伙伴', icon: 'list' }
    },
    {
      path: 'footer',
      component: resolve =>
        require(['@/views/asdm/footer/index'], resolve),
      name: 'footer',
      meta: { title: '底部信息', icon: 'list' }
    },
    // {
    //   path: 'addAchievement',
    //   component: resolve =>
    //     require(['@/views/asdm/achievement/add'], resolve),
    //   name: 'addAchievement',
    //   meta: { title: '科技成果' },
    //   hidden: true
    // }
  ]
};

export default nestedRouter;

